Skip to main content
GET
/
v2
/
transactionStatuses
Query Transaction Status
curl --request GET \
  --url https://api.jtl-cloud.com/erp/v2/transactionStatuses \
  --header 'Authorization: Bearer <token>' \
  --header 'x-tenant-id: <x-tenant-id>'
[
  {
    "id": 123,
    "name": "<string>",
    "isValidForSalesQuotation": true,
    "isValidForSalesOrder": true,
    "isValidForSubscription": true
  }
]

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

x-tenant-id
string<uuid>
required

The tenant ID for the target ERP instance.

x-runas
string

The User-Id (int or uuid) on whose behalf the request is executed. Requires scope 'Application.RunAs'.

x-companyid
string

The Company-Id (int or uuid) of the company on whose behalf the request is executed.

Response

Returns all transaction status.

id
integer<int32>

Unique ID to identify a transaction's status.

name
string

Name of the transaction status.

isValidForSalesQuotation
boolean

Indicates if a transaction status can be used for sales quotations.

isValidForSalesOrder
boolean

Indicates if a transaction status can be used for sales orders.

isValidForSubscription
boolean

Indicates if a transaction status can be used for subscriptions.